# Copyright 2017-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

CRATES="
aho-corasick-0.7.18
alphanumeric-sort-1.4.3
ansi_term-0.11.0
arrayref-0.3.6
arrayvec-0.5.2
atty-0.2.14
autocfg-1.0.1
base64-0.13.0
bitflags-1.2.1
blake2b_simd-0.5.11
bstr-0.2.16
cassowary-0.3.0
cc-1.0.67
cfg-if-0.1.10
cfg-if-1.0.0
chrono-0.4.19
clap-2.33.3
constant_time_eq-0.1.5
crossbeam-utils-0.8.4
dirs-1.0.5
dirs-next-2.0.0
dirs-sys-next-0.1.2
either-1.6.1
fnv-1.0.7
getrandom-0.1.16
getrandom-0.2.2
globset-0.4.6
heck-0.3.2
hermit-abi-0.1.18
lazy_static-1.4.0
libc-0.2.94
log-0.4.14
memchr-2.4.0
nix-0.13.1
num-integer-0.1.44
num-traits-0.2.14
numtoa-0.1.0
open-1.7.0
phf-0.8.0
phf_generator-0.8.0
phf_macros-0.8.0
phf_shared-0.8.0
ppv-lite86-0.2.10
proc-macro-error-1.0.4
proc-macro-error-attr-1.0.4
proc-macro-hack-0.5.19
proc-macro2-1.0.26
quote-1.0.9
rand-0.7.3
rand_chacha-0.2.2
rand_core-0.5.1
rand_hc-0.2.0
rand_pcg-0.2.1
redox_syscall-0.1.57
redox_syscall-0.2.8
redox_termios-0.1.2
redox_users-0.3.5
redox_users-0.4.0
regex-1.5.4
regex-syntax-0.6.25
rust-argon2-0.8.3
rustyline-4.1.0
serde-1.0.125
serde_derive-1.0.125
shell-words-1.0.0
shellexpand-2.1.0
signal-hook-0.3.8
signal-hook-registry-1.3.0
siphasher-0.3.5
strsim-0.8.0
structopt-0.3.21
structopt-derive-0.4.14
syn-1.0.72
termion-1.5.6
textwrap-0.11.0
time-0.1.43
toml-0.5.8
trash-1.3.0
tui-0.15.0
unicode-segmentation-1.7.1
unicode-width-0.1.8
unicode-xid-0.2.2
users-0.11.0
utf8parse-0.1.1
vec_map-0.8.2
version_check-0.9.3
void-1.0.2
wasi-0.10.2+wasi-snapshot-preview1
wasi-0.9.0+wasi-snapshot-preview1
which-4.1.0
whoami-0.9.0
winapi-0.3.9
winapi-i686-pc-windows-gnu-0.4.0
winapi-x86_64-pc-windows-gnu-0.4.0
xdg-2.2.0
"

inherit cargo

DESCRIPTION="Terminal file manager inspired by ranger"
HOMEPAGE="https://github.com/kamiyaa/joshuto"
SRC_URI="https://github.com/kamiyaa/${PN}/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz
			$(cargo_crate_uris ${CRATES})"
RESTRICT="mirror"
LICENSE="Apache-2.0 Apache-2.0 WITH LLVM-exception BSD-2-Clause BSD-3-Clause BSL-1.0 CC0-1.0 LGPL-3 MIT MPL-2.0 Unlicense"
SLOT="0"
KEYWORDS="~amd64"
IUSE="wayland X"

DEPEND=""
RDEPEND="wayland? ( gui-apps/wl-clipboard )
		X? ( x11-misc/xclip )"

PATCHES=(
	${FILESDIR}/0001-add-additional-configuration-directories.patch
)

src_install() {
	cargo_src_install

	doenvd ${FILESDIR}/99joshuto

	insinto /etc/${PN}
	doins -r config/*.toml
}
