# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit meson

DESCRIPTION="PipeWire output plugin for DeaDBeeF Music Player"
HOMEPAGE="https://github.com/saivert/ddb_output_pw"
MY_PN="ddb_output_pw"

if [[ ${PV} == "9999" ]] ; then
        EGIT_REPO_URI="https://github.com/saivert/${MY_PN}.git"
        inherit autotools git-r3
else
        KEYWORDS="~amd64"
        SRC_URI="https://github.com/saivert/${MY_PN}/archive/refs/tags/v${PV}.tar.gz -> ${MY_PN}-${PV}.tar.gz"
        S="${WORKDIR}/${MY_PN}-${PV}"
fi

LICENSE="GPL-2.0"
SLOT="0"
IUSE=""

DEPEND_COMMON="
	media-video/pipewire
	media-sound/deadbeef"

RDEPEND="${DEPEND_COMMON}"
DEPEND="${DEPEND_COMMON}"

src_configure() {
	sed -i "s@lib/deadbeef@$(get_libdir)/deadbeef@" meson.build

	meson_src_configure
}
