# Copyright 2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

PN=sacd-ripper
P=${PN}-${PV}

inherit cmake

DESCRIPTION="SACD ripping software using a PS3"
HOMEPAGE="https://github.com/sacd-ripper/sacd-ripper"

if [[ ${PV} == *9999 ]] ; then
        EGIT_REPO_URI="https://github.com/sacd-ripper/${PN}.git"
        inherit git-r3
else
        SRC_URI="https://github.com/sacd-ripper/${PN}/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
        KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
fi

LICENSE="GPL-2.0"
SLOT="0"

DEPEND="dev-libs/libxml2"
RDEPEND="${DEPEND}"
BDEPEND=""

S="${WORKDIR}/${P}/tools/sacd_extract"

src_install(){
	dobin "${S}"_build/sacd_extract
}
