# Copyright 1999-2022 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit meson

DESCRIPTION="Backend-agnostic network configuration in YAML"
HOMEPAGE="https://netplan.io/"
SRC_URI="https://github.com/CanonicalLtd/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-3"
SLOT="0"

KEYWORDS="~amd64"

IUSE="doc +systemd +bash-completion test"
REQUIRED_USE="systemd bash-completion"

DEPEND=">=dev-libs/glib-2.64.3
        >=dev-libs/libyaml-0.2.5
        sys-apps/systemd
        sys-apps/util-linux
        app-shells/bash-completion
        doc? ( >=app-text/pandoc-1.19.2.1-r1 )
"

BDEPEND="${DEPEND}
         dev-python/pytest
         dev-python/pyflakes
         dev-python/coverage
         test? ( dev-util/cmocka
                 dev-python/pycodestyle
               )
"

RDEPEND=">=dev-python/netifaces-0.10.9
         >=dev-libs/libyaml-0.2.5
         >=dev-python/pyyaml-5.3.1
         dev-python/rich
"

PATCHES=(
        "${FILESDIR}/0001-build-add-Gentoo-compat.patch"
)

src_configure() {
        local emesonargs=(
                $(meson_use test unit_testing)
                $(meson_use test b_coverage)
                "${myconf[@]}"
        )
        meson_src_configure
}
